<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
$esPantallaOP=true;
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');


$peticion='SGAOrdenesComprasPendientes#'.$_SESSION['empresa'].'#'.$_SESSION['orden']['OrdenPreparacion'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

//Separamos las entradas pendientes por proveedor y las de almacén
$_SESSION['pendientesProveedores']=array();
$_SESSION['pendientesAlmacenes']=array();
foreach($resultado as $linea) if($linea['Proveedor']) $_SESSION['pendientesProveedores'][]=$linea;
else $_SESSION['pendientesAlmacenes'][]=$linea;

?>

<div id="popupDetalle" class="popup" style="display:none"></div>
<div class="popupContenidoScroll" id="popupDetalleContenido" style="display:none"></div>

<div class="estilosOP">

<h2>Recepciones pendientes</h2>
<h2>Orden de Preparación Nº <?php echo $_SESSION['orden']['OrdenPreparacion']; ?></h2>

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <?php if($_SESSION['gestion']!='PUB') { ?><th>Familia</th><?php } ?>
    <th>Fecha Orden</th>
    <th>Régimen Origen</th>
    <th>Régimen Destino</th>
    <th>Cliente</th>
    <th>Ref. Cliente</th>
    <th>Ref. Destino</th>
    <th>Carga</th>
    <?php if($_SESSION['visibilidadZonaCarga']) { ?><th>Zona Carga</th><?php } ?>
    <th>Fecha Carga</th>
    <th>Hora Carga</th>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['orden']['Empresa']; ?></td><?php } ?>
    <?php if($_SESSION['gestion']!='PUB') { ?><td><?php echo $_SESSION['orden']['FamiliaPreparacion']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['orden']['FechaGeneracion']); ?></td>
    <td><?php echo $_SESSION['orden']['RegimenOrigen']; ?></td>
    <td><?php echo $_SESSION['orden']['RegimenDestino']; ?></td>
    <td><?php echo $_SESSION['orden']['NombreCliente']; ?></td>
    <td><?php echo $_SESSION['orden']['ReferenciaClientePedidoLog']; ?></td>
	<td><?php echo $_SESSION['orden']['RefDestino']; ?></td>
	<td><?php echo $_SESSION['orden']['Carga']; ?></td>
    <?php if($_SESSION['visibilidadZonaCarga']) { ?><td><?php echo $_SESSION['orden']['ZonaCargaCamion']; ?></td><?php } ?>
	<td><?php echo fechaNacional($_SESSION['orden']['FechaCarga']); ?></td>
	<td><?php echo $_SESSION['orden']['HoraCarga']; ?></td>
  </tr>
</table>


<h3>Recepciones pendientes por Proveedor:</h3>

<table class="tablaFormateada">
<tr>
	<th>Proveedor</th>
    <th>Nombre</th>
    <th>Nº Referencias</th>
</tr>
<?php foreach($_SESSION['pendientesProveedores'] as $linea) { ?>
<tr class="linea clicable" tipo="proveedor" id="<?php echo $linea['Proveedor']; ?>">
	<td height="50"><?php echo $linea['Proveedor']; ?></td>
    <td><?php echo $linea['NombreProveedor']; ?></td>
    <td><?php echo $linea['NumReferencias']; ?></td>
</tr>
<?php } ?>
</table>

<h3>Tránsitos pendientes desde otros Almacenes:</h3>

<table class="tablaFormateada">
<tr>
	<th>Almacén</th>
    <th>Nombre</th>
    <th>Nº Referencias</th>
</tr>
<?php foreach($_SESSION['pendientesAlmacenes'] as $linea) { ?>
<tr class="linea clicable" tipo="almacen" id="<?php echo $linea['Almacen']; ?>">
	<td height="50"><?php echo $linea['Almacen']; ?></td>
    <td><?php echo $linea['DescripcionAlmacen']; ?></td>
    <td><?php echo $linea['NumReferencias']; ?></td>
</tr>
<?php } ?>
</table>

<p><input type="submit" name="botonVolverOrden" id="botonVolverOrden" value="Volver al detalle de la Preparación" class="boton"/></p>

</div> <!-- classe estilosOP -->

<script>

$(document).ready(function() {

	$('#botonVolverOrden').on('click',function(){
		$('#popupCargando').show();
		window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';
	});
	
	$('.linea').on('click',function(){
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-recepciones-pendientes-detalle.php", { tipo : $(this).attr('tipo') , id : $(this).attr('id') } )
		.done(function(data){
		
			var posicionActual=$(document).scrollTop();
			
			$('#popupDetalleContenido').html(data);
			$('#popupDetalle').show();
			$('#popupDetalleContenido').show();
			
			$('#popupDetalleContenido').animate({ top:posicionActual+50 },500);
		});
	});
	
	$(document).on('click','#botonCerrarPopup',function(){
		$('#popupDetalle').hide();
		$('#popupDetalleContenido').hide();
	});
	
	$('#botonPausar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-pausar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/ordenes-preparacion.php';	
		});
	});

});

</script>
<?php

$desactivarPlay=true;
include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-preparacion-S.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>